// globals

function loadMe(){

	alert("Welcome to ChromEdit. Remember to LOAD pages first, unless you want them overwritten."+"And you must restart for changes to take effect.")

}

function getTextareaText(tNodeID) {
  var tat = document.getElementById(tNodeID).value
   return tat
}

function setTextareaText(thetext,tNodeID) {
  document.getElementById(tNodeID).value= thetext
}

function loadIt(fileName,targetNodeID,label) {
var d = new DirUtils;
var p = d.getUserChromeDir();
if ( ! /css$/i.test(fileName))
  p = d.getMozUserHomeDir();
var fName = fileName;
var f = new File(p);
var target = f.nsIFile;
var target2 = target;
target.append(fName);

f=new File(target.path);

document.getElementById(label).value = target.path;

if (f.exists()) {
f.open()
var stuff=f.read()
f.close()
setTextareaText(stuff,targetNodeID);
}
else if (/css$/i.test(fName) ) { // && ! f.exists()

fName = fName.replace('.css', '-example.css');

f=new File(target.path.replace(fileName, fName));

if (f.exists()) {
f.open()
var stuff=f.read()
f.close()
setTextareaText(stuff,targetNodeID);
}

}
else {setTextareaText('// Currently you do not have a user.js file.',targetNodeID)}

}

function saveIfChanged() {

  if ( ! document.getElementById('save-chrome').hasAttribute('disabled') )
    saveIt('userChrome.css','editChrome');

  if ( ! document.getElementById('save-content').hasAttribute('disabled') )
    saveIt('userContent.css','editContent');

  if ( ! document.getElementById('save-js').hasAttribute('disabled') )
    saveIt('user.js','editJs');

}

function saveIt(fileName,targetNodeID,button) {
var data = getTextareaText(targetNodeID);
var d = new DirUtils;
var p = d.getUserChromeDir();
if ( ! /css$/i.test(fileName))
  p = d.getMozUserHomeDir();
var fName = fileName;
var f = new File(p);
var target = f.nsIFile;
target.append(fName);
f=new File(target.path);

f.open('w')
p = f.write(data)
f.close()

if(p)
  document.getElementById(button).setAttribute("disabled", "true");

}
